HPE Greenlake For Object Storage REST APIs
HPE Greenlake For Object Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/
Query
The offset of the first item in the collection to return
Default 0
Example: offset=5
A query to retrieve only the specified parameters. Use . to denote nested fields.
Example: select=id
A list of properties defining the sort order. This takes a single property name followed by the direction to sort in, separated by a space. The supported properties are systemUid and generation. If not specified, the default behaviour is to sort by generation. The supported directions are asc and desc for ascending and descending respectively.
Default "generation desc"
Example: sort=generation desc
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/groups \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/groups
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/groups \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "NewGroup1"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/groups/testGroup \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/groups/testGroup \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "customerId": "fc5f41652a53497e88cdcebc715cc1sd", "generation": 0, "id": "MINIO162_Group", "members": [ "string" ], "name": "NewGroup1", "policy": "string", "status": "enabled", "systemUid": "MINIO162", "type": "string" }
Bodyapplication/jsonrequired
- https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://us1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- https://jp1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/object-storage/v1/devtype7-storage-systems/{systemId}/groups/{groupId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PUT \
https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/groups/testGroup \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }